import { QuestionnairesContractError, EVMContractAddress, IpfsCID, DomainName, BlockchainCommonErrors } from "@snickerdoodlelabs/objects";
import { ethers } from "ethers";
import { ResultAsync } from "neverthrow";
import { IEthersContractError } from "../implementations/BlockchainErrorMapper.js";
import { ERC7529Contract } from "../implementations/ERC7529Contract.js";
import { WrappedTransactionResponse, ContractOverrides } from "../interfaces/index.js";
import { IQuestionnairesContract } from "../interfaces/IQuestionnairesContract.js";
export declare class QuestionnairesContract extends ERC7529Contract<QuestionnairesContractError> implements IQuestionnairesContract {
    protected providerOrSigner: ethers.Provider | ethers.Signer;
    protected contractAddress: EVMContractAddress;
    constructor(providerOrSigner: ethers.Provider | ethers.Signer, contractAddress: EVMContractAddress);
    getContractAddress(): EVMContractAddress;
    getQuestionnaires(): ResultAsync<IpfsCID[], BlockchainCommonErrors | QuestionnairesContractError>;
    addQuestionnaire(questionnaireCid: IpfsCID, overrides?: ContractOverrides): ResultAsync<WrappedTransactionResponse, BlockchainCommonErrors | QuestionnairesContractError>;
    removeQuestionnaire(index: number, overrides?: ContractOverrides): ResultAsync<WrappedTransactionResponse, BlockchainCommonErrors | QuestionnairesContractError>;
    addDomain(domain: DomainName, overrides?: ContractOverrides): ResultAsync<WrappedTransactionResponse, BlockchainCommonErrors | QuestionnairesContractError>;
    removeDomain(domain: DomainName, overrides?: ContractOverrides): ResultAsync<WrappedTransactionResponse, BlockchainCommonErrors | QuestionnairesContractError>;
    checkDomain(domain: DomainName): ResultAsync<boolean, QuestionnairesContractError | BlockchainCommonErrors>;
    filters: {};
    protected generateContractSpecificError(msg: string, e: IEthersContractError, transaction: ethers.Transaction | null): QuestionnairesContractError;
}
//# sourceMappingURL=QuestionnairesContract.d.ts.map